#!/usr/bin/python3
import amulet

seconds = 20000

d = amulet.Deployment(series='trusty')

d.add('mysql')
d.add('logstash-agent')
d.relate('mysql:juju-info', 'logstash-agent:juju-info')

try:
    d.setup(timeout=seconds)
except amulet.helpers.TimeoutError:
    amulet.raise_status(amulet.SKIP, msg="Environment wasn't stood up in time")
except:
    raise


##
# Set relationship aliases
##
agent_unit = d.sentry.unit['mysql/0']


def test_running():

    psresult = agent_unit.run("sudo ps aux | grep java")
    if psresult.find('java') < 0:
        amulet.raise_status(amulet.FAIL, msg="logstash not running.")
    file_contents = agent_unit.file_contents(
        '/opt/logstash-agent/logs/logstash-output.log')

    if len(file_contents) == 0:
        amulet.raise_status(amulet.FAIL,
                            msg="logstash is not returning"
                            " any value to its output file.")
